org.eclnt.jsfserver.elements.componentnodes

## Class SYSTEMMENUITEMNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.SYSTEMMENUITEMNode

- All Implemented Interfaces:
    java.io.Serializable

      public class SYSTEMMENUITEMNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SYSTEMMENUITEMNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SYSTEMMENUITEMNode` | `bindAccessiblename(IDynamicContentBindingObject value)`
    `SYSTEMMENUITEMNode` | `bindClientname(IDynamicContentBindingObject value)`
    `SYSTEMMENUITEMNode` | `bindClientsystemcommand(IDynamicContentBindingObject value)`
    `SYSTEMMENUITEMNode` | `bindComment(IDynamicContentBindingObject value)`
    `SYSTEMMENUITEMNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `SYSTEMMENUITEMNode` | `bindForeground(IDynamicContentBindingObject value)`
    `SYSTEMMENUITEMNode` | `bindHotkey(IDynamicContentBindingObject value)`
    `SYSTEMMENUITEMNode` | `bindHotkeyonly(IDynamicContentBindingObject value)`
    `SYSTEMMENUITEMNode` | `bindImage(IDynamicContentBindingObject value)`
    `SYSTEMMENUITEMNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `SYSTEMMENUITEMNode` | `bindText(IDynamicContentBindingObject value)`
    `SYSTEMMENUITEMNode` | `setAccessiblename(java.lang.String value)`
    `SYSTEMMENUITEMNode` | `setAttributemacro(java.lang.String value)`
    `SYSTEMMENUITEMNode` | `setClientname(java.lang.String value)`
    `SYSTEMMENUITEMNode` | `setClientsystemcommand(java.lang.String value)`
    `SYSTEMMENUITEMNode` | `setComment(java.lang.String value)`
    `SYSTEMMENUITEMNode` | `setConfiginfo(java.lang.String value)`
    `SYSTEMMENUITEMNode` | `setForeground(java.lang.String value)`
    `SYSTEMMENUITEMNode` | `setHotkey(java.lang.String value)`
    `SYSTEMMENUITEMNode` | `setHotkeyonly(boolean value)`
    `SYSTEMMENUITEMNode` | `setHotkeyonly(java.lang.String value)`
    `SYSTEMMENUITEMNode` | `setId(java.lang.String value)`
    `SYSTEMMENUITEMNode` | `setImage(java.lang.String value)`
    `SYSTEMMENUITEMNode` | `setReference(java.lang.String value)`
    `SYSTEMMENUITEMNode` | `setStylevariant(java.lang.String value)`
    `SYSTEMMENUITEMNode` | `setText(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SYSTEMMENUITEMNode

          public SYSTEMMENUITEMNode()

  - ### Method Detail

    - #### setId

          public SYSTEMMENUITEMNode setId(java.lang.String value)

    - #### setAccessiblename

          public SYSTEMMENUITEMNode setAccessiblename(java.lang.String value)

    - #### bindAccessiblename

          public SYSTEMMENUITEMNode bindAccessiblename(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public SYSTEMMENUITEMNode setAttributemacro(java.lang.String value)

    - #### setClientname

          public SYSTEMMENUITEMNode setClientname(java.lang.String value)

    - #### bindClientname

          public SYSTEMMENUITEMNode bindClientname(IDynamicContentBindingObject value)

    - #### setClientsystemcommand

          public SYSTEMMENUITEMNode setClientsystemcommand(java.lang.String value)

    - #### bindClientsystemcommand

          public SYSTEMMENUITEMNode bindClientsystemcommand(IDynamicContentBindingObject value)

    - #### setComment

          public SYSTEMMENUITEMNode setComment(java.lang.String value)

    - #### bindComment

          public SYSTEMMENUITEMNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public SYSTEMMENUITEMNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public SYSTEMMENUITEMNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setForeground

          public SYSTEMMENUITEMNode setForeground(java.lang.String value)

    - #### bindForeground

          public SYSTEMMENUITEMNode bindForeground(IDynamicContentBindingObject value)

    - #### setHotkey

          public SYSTEMMENUITEMNode setHotkey(java.lang.String value)

    - #### bindHotkey

          public SYSTEMMENUITEMNode bindHotkey(IDynamicContentBindingObject value)

    - #### setHotkeyonly

          public SYSTEMMENUITEMNode setHotkeyonly(java.lang.String value)

    - #### bindHotkeyonly

          public SYSTEMMENUITEMNode bindHotkeyonly(IDynamicContentBindingObject value)

    - #### setHotkeyonly

          public SYSTEMMENUITEMNode setHotkeyonly(boolean value)

    - #### setImage

          public SYSTEMMENUITEMNode setImage(java.lang.String value)

    - #### bindImage

          public SYSTEMMENUITEMNode bindImage(IDynamicContentBindingObject value)

    - #### setReference

          public SYSTEMMENUITEMNode setReference(java.lang.String value)

    - #### setStylevariant

          public SYSTEMMENUITEMNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public SYSTEMMENUITEMNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setText

          public SYSTEMMENUITEMNode setText(java.lang.String value)

    - #### bindText

          public SYSTEMMENUITEMNode bindText(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.